samlify-2
High-level API for Single Sign On (SAML 2.0)
Last updated 10 months ago by harrisonhuntr .
MIT · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install samlify-2 
SYNC missed versions from official npm registry.

samlify · Build Status npm version Coverage Status

Highly configuarable Node.js SAML 2.0 library for Single Sign On

Welcome PRs

Welcome all PRs for maintaining this project, or provide a link to the repositories especially for use cases alongside with different frameworks.

Sponsor

If you want to quickly implement SAML SSO, feel free to check out Auth0's NodeJS SDK and free plan at auth0.com/overview.

Installation

To install the stable version

$ yarn add samlify

Development

This project is now developed using TypeScript, also support Yarn which is a new package manager.

$ yarn global add typescript
$ yarn

Get Started

const saml = require('samlify');

See full documentation here

Example

react-samlify SP example powered by React, TypeScript and Webpack

Talks

An introduction to Single Sign On

License

MIT

Copyright

Copyright (C) 2016-present Tony Ngan, released under the MIT License.

Current Tags

  • 2.4.5-1                                ...           latest (10 months ago)

5 Versions

  • 2.4.5-1                                ...           10 months ago
  • 2.6.1-1                                ...           10 months ago
  • 2.4.5                                ...           a year ago
  • 2.4.4                                ...           a year ago
  • 2.4.3                                ...           a year ago
Maintainers (1)
Downloads
Today 0
This Week 0
This Month 5
Last Day 0
Last Week 5
Last Month 0
Dependencies (11)
Dev Dependencies (10)
Dependents (0)
None

Copyright 2014 - 2016 © taobao.org |